> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob オブジェクトの一覧

> このドキュメントは、SquareCloud Blob API の GET /v1/objects エンドポイントの包括的な概要を提供します。

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  アカウントの API キーです。これは[アカウント設定](https://squarecloud.app/ja/account/security)で確認できます。
</ParamField>

<ParamField query="prefix" type="string" placeholder="File Prefix">
  ファイルのプレフィックスを表す文字列。<br />a to z, A to Z, 0 to 9, and \_ のパターンに従う必要があります。（3〜32 文字）
</ParamField>

<ParamField query="continuationToken" type="string" placeholder="Continuation Token">
  ファイル一覧の継続トークンを表す文字列。（1 ページあたり 1000 オブジェクト）
</ParamField>

### レスポンス

<ResponseField name="status" type="string">
  呼び出しが成功したかどうかを示します。成功の場合は "success"、そうでない場合は "error" です。
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="オブジェクトを切り替え">
    <ResponseField name="objects" type="array">
      <Expandable title="オブジェクトを切り替え">
        <ResponseField name="id" type="string">
          オブジェクトの id。
        </ResponseField>

        <ResponseField name="size" type="integer">
          オブジェクトのサイズ（バイト単位）。
        </ResponseField>

        <ResponseField name="created_at" type="ISO 8601">
          オブジェクトが作成された日時。
        </ResponseField>

        <ResponseField name="expires_at" type="ISO 8601">
          オブジェクトが期限切れになる日時。
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="continuationToken" type="string">
      次のページを取得するためのトークン。`continuationToken` クエリパラメータとして渡し直します。これ以上オブジェクトがない場合は `null` または存在しません。
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Response - [30s cache] theme={null}
  {
    "status": "success",
    "response": {
      "objects": [
        {
          "id": "ID/name1_ltq7b2sw-de6241.jpeg",
          "size": 78266,
          "created_at": "2024-03-13T19:31:28.776Z"
        },
        {
          "id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
          "size": 90466,
          "created_at": "2024-03-13T19:35:28.776Z",
          "expires_at": "2024-03-14T19:35:28.776Z"
        }
      ],
      "continuationToken": null
    }
  }
  ```
</ResponseExample>

### トラブルシューティング

<Tabs>
  <Tab title="400 ステータスコード">
    ### オブジェクト関連

    <CodeGroup>
      ```json INVALID_PREFIX theme={null}
      // The provided object prefix is invalid.
      // Must adhere to the a to z, A to Z, 0 to 9, and _ pattern.
      {
          "status": "error",
          "code": "INVALID_OBJECT_PREFIX"
      }
      ```

      ```json INVALID_CONTINUATION_TOKEN theme={null}
      // The provided continuation token is invalid (must be a string up to 2048 characters).
      {
          "status": "error",
          "code": "INVALID_CONTINUATION_TOKEN"
      }
      ```

      ```json FAILED_LIST theme={null}
      // The request to list the objects failed. Please try again.
      {
          "status": "error",
          "code": "FAILED_LIST"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="401 ステータスコード">
    ### 認証エラー

    <CodeGroup>
      ```json ACCESS_DENIED theme={null}
      // The API key is missing or invalid. Set a valid key in the Authorization header.
      {
          "status": "error",
          "code": "ACCESS_DENIED"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="429 ステータスコード">
    ### レート制限

    <CodeGroup>
      ```json RATELIMIT theme={null}
      // List rate limit reached (10 requests per 30s window).
      {
          "status": "error",
          "code": "RATELIMIT"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>
